<?php

include_once 'prepareSql.php';

class Sqlfinanceiro {

    private $conexao;

    function __construct($conexao) {
        $this->conexao = $conexao;
    }

    function getMDCMes($param) {
        $sql = 'select SUBSTRING(b.nome,1,17) nome, b.data_evento, a.data, EXTRACT(DAY FROM a.data) dia, sum(a.valor) valor,  
                a.id_tipo_pagamento, c.descricao, d.abreviacao
                from evento_pagamento a ,evento b, tipo_pagamento c, tipo_evento d
                where b.id_evento = a.id_evento 
                and c.id_tipo_pagamento = a.id_tipo_pagamento
                and d.id_tipo_evento = b.id_tipo_evento
                and a.id_empresa = :id_empresa
                and EXTRACT(MONTH  FROM a.data) = :mes
                and EXTRACT(YEAR  FROM a.data) = :ano
                 group by b.id_evento, a.data';
        return executa::SQL($this->conexao, $sql, $param);
    }

    function getMDCDia($param) {
        $sql = 'select d.nome, a.data, a.valor, a.id_tipo_pagamento, a.nome_caixa, 
		b.descricao, c.banco, c.agencia, c.conta, c.num_cheque, c.data_vencimento, d.data_evento
		from tipo_pagamento b, evento_pagamento a left join evento_cheque c 
		on a.id_evento_pagamento = c.id_evento_pagamento,
		evento d
		where d.id_evento = a.id_evento 
		and a.id_tipo_pagamento = b.id_tipo_pagamento
		and a.id_empresa = :id_empresa
		and a.data =  :data
		order by b.descricao, c.data_vencimento;';
        return executa::SQL($this->conexao, $sql, $param);
    }

    function getValorPago($param) {
        $sql = 'select sum(valor) valor from evento_pagamento
                where id_evento = :id_evento 
                and id_empresa = :id_empresa';
        return executa::SQL($this->conexao, $sql, $param);
    }

}
